Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-9614

OpenAM 13.5 upgrade fails to correctly remove DevicePrintModule

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 13.5.0
    • Fix Version/s: 13.5.1, 14.0.0
    • Component/s: upgrade
    • Labels:
    • Sprint:
      AM Sustaining Sprint 29, AM Sustaining Sprint 30
    • Support Ticket IDs:

      Description

      Description

      After upgrading from 13.0.0 to 13.5.0 the server starts logging these errors into CoreSystem debug log:

      frRest:08/24/2016 08:01:09:768 AM EDT: Thread[ajp-bio-8009-exec-18,5,main]: Tran 
      sactionId[3b0dccf8-9c68-42b3-b130-ecee504dc35d-1114] 
      ERROR: AuthenticationModuleCollectionHandler.handleQuery(): Invalid auth module 
      instance configuration: DevicePrintModule
      

      This happens because the DevicePrintModule has been removed from 13.5 but the upgrade process is not correctly removing it from the authentication configuration.

      How to reproduce

      Workaround

      Removing org.forgerock.openam.authentication.modules.deviceprint.DevicePrintModule manually from the configuration with ssoadm unregister-auth-module stops the errors.

      ./ssoadm unregister-auth-module -a org.forgerock.openam.authentication.modules.deviceprint.DevicePrintModule -u amadmin -f /tmp/pwd.txt 
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                quentin.castel Quentin CASTEL [X] (Inactive)
                Reporter:
                quentin.castel Quentin CASTEL [X] (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: